<template>
    <svg v-html="component"
         :id="id"
         :width="width"
         :height="height"
         :viewBox="viewBox"
         :fill="fill"
         xmlns="http://www.w3.org/2000/svg"
    >
    </svg>
</template>

<script>
import { svgIcon } from 'const/icons';
export default {
    name: 'base-svg-icon',
    props: {
        id: {
            required: true,
            type: [Number, String],
            default: ''
        },
        width: {
            required: true,
            type: [Number, String]
        },
        height: {
            required: true,
            type: [Number, String]
        },
        viewBox: {
            required: true,
            type: [Number, String]
        },
        fill: {
            required: false,
            type: String,
            default: 'none'
        }
    },
    computed: {
        component() {
            return svgIcon(this.id);
        }
    }
};
</script>

<style scoped>

</style>
